Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 7)
@@ -653,6 +653,13 @@
                     prgber.Value = i;
                     prgber.Update();
                 }
+                // 最終行の処理
+                if (TergetName.Length != 0)
+                {
+                    // データセット
+                    SetMessageBoardGrid(wrkRow, exeflg, TergetName);
+                }
+
                 // ProgressBarの値を変更する
                 prgber.Value = prgber.Maximum;
                 prgber.Update();
@@ -705,23 +712,38 @@
                 // ----- 工事案件毎に最大の承認を取得する
                 int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key;
                 // 完了工事以外の申請中と承認後7日間のデータを対象とする
-                string strSQL = "SELECT A.APPROVALCODE, A.CONSTRUCTIONCODE, A.PETITIONAPPROVALDATE, A.EntryDate, A.ApprovalLimitDates, A.PERSONCODE, C.PERSONNAME, D.DETAILSTRING, C.DEPARTMENTCODE";
-                strSQL += " FROM PROCESSAPPROVAL A, CONSTRUCTIONBASEINFO B, PERSONINCHARGEMASTER C, CONSTRUCTIONBASEINFODETAIL D";
-                strSQL += string.Format(" WHERE (SEQNO = 1 AND ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                string strSQL = "SELECT";
+                strSQL += " A.APPROVALCODE,";
+                strSQL += " A.CONSTRUCTIONCODE,";
+                strSQL += " A.PETITIONAPPROVALDATE,";
+                strSQL += " A.EntryDate,";
+                strSQL += " A.ApprovalLimitDates,";
+                strSQL += " A.PERSONCODE,";
+                strSQL += " C.PERSONNAME,";
+                strSQL += " D.DETAILSTRING,";
+                strSQL += " C.DEPARTMENTCODE,";
+                strSQL += " E.APPROVALPERSON,";
+                strSQL += " E.DISPLAYORDER,";
+                strSQL += " F.PERSONNAME,";
+                strSQL += " NVL(G.APPROVALSTATUS, 4)";
+
+
+                 strSQL += " FROM PROCESSAPPROVAL A INNER JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.PERSONCODE";
+                 strSQL += " LEFT JOIN APPROVALMASTER E ON E.APPROVALCODE = A.APPROVALCODE AND E.DEPARTMENTCODE = C.DEPARTMENTCODE";
+                 strSQL += " LEFT JOIN PROCESSAPPROVAL G ON G.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND G.APPROVALCODE = A.APPROVALCODE AND G.PERSONCODE = E.APPROVALPERSON AND G.SEQNO != 1";
+                 strSQL += " , CONSTRUCTIONBASEINFO B, CONSTRUCTIONBASEINFODETAIL D, PERSONINCHARGEMASTER F";
+                
+                strSQL += string.Format(" WHERE ((A.SEQNO = 1 AND A.ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += string.Format(" OR (A.SEQNO = 1 AND A.ApprovalStatus = {0} AND TRUNC(A.UPDATEDATE) >= (TRUNC(SYSDATE) - 7)) AND B.CONSTRUCTIONSTATUSFLG < {1})"
+                                        , (int)CommonDefine.ApprovalStatus.Approval, iStatus);
+
                 strSQL += " AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
                 strSQL += " AND A.PERSONCODE = C.PERSONCODE";
-                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.DETAILNO = {0}",(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += " AND A.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += " AND F.PERSONCODE = E.APPROVALPERSON";
 
-                strSQL += " UNION SELECT A.APPROVALCODE, A.CONSTRUCTIONCODE, A.PETITIONAPPROVALDATE, A.EntryDate, A.ApprovalLimitDates, A.PERSONCODE, C.PERSONNAME, D.DETAILSTRING, C.DEPARTMENTCODE";
-                strSQL += " FROM  PROCESSAPPROVAL A, CONSTRUCTIONBASEINFO B, PERSONINCHARGEMASTER C, CONSTRUCTIONBASEINFODETAIL D";
-                strSQL += string.Format(" WHERE (SEQNO = 1 AND ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
-                strSQL += " AND TRUNC(A.UPDATEDATE) >= (TRUNC(SYSDATE) - 7))";
-                strSQL += " AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND B.CONSTRUCTIONSTATUSFLG < {0})", iStatus);
-                strSQL += " AND A.PERSONCODE = C.PERSONCODE";
-                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-
-                strSQL += " ORDER BY APPROVALCODE DESC, PETITIONAPPROVALDATE DESC, PERSONCODE ASC";
+                strSQL += " ORDER BY A.APPROVALCODE DESC, A.PETITIONAPPROVALDATE DESC, A.PERSONCODE ASC, E.DISPLAYORDER DESC";
                 if (!paDB.ExecuteReader(strSQL, ref arData)) return false;
 
                 if (arData.Count == 0) return false;
@@ -782,44 +804,10 @@
             /// 部署コード
             /// </summary>
             DepartmentCode,
-        }
-        #endregion
-        
-        #region 承認者リスト
-        /// <summary>
-        /// 承認者リスト
-        /// </summary>
-        private enum ApprovalerList
-        {
-            ///// <summary>
-            ///// 承認者コード
-            ///// </summary>
-            //ApprovalPerson,
-            ///// <summary>
-            ///// 表示順
-            ///// </summary>
-            //DisplayOrder,
-            ///// <summary>
-            ///// 承認者名
-            ///// </summary>
-            //PersonName,
-            ///// <summary>
-            ///// 部署名
-            ///// </summary>
-            //DepartmentString,
-            ///// <summary>
-            ///// 役職名
-            ///// </summary>
-            //DisplayString,
-            ///// <summary>
-            ///// 承認状態
-            ///// </summary>
-            //ApprovalStatus,
-
             /// <summary>
             /// 承認者コード
             /// </summary>
-            ApprovalPerson,
+            ApprovalPersonCode,
             /// <summary>
             /// 表示順
             /// </summary>
@@ -827,7 +815,7 @@
             /// <summary>
             /// 承認者名
             /// </summary>
-            PersonName,
+            ApprovalPersonName,
             /// <summary>
             /// 承認状態
             /// </summary>
@@ -835,14 +823,12 @@
         }
         #endregion
         
-        #region 書類承認表示処理
+        #region 書類承認表示ループ処理
         /// <summary>
-        /// 書類承認表示処理
+        /// 書類承認表示ループ処理
         /// </summary>
         private void DispDocumentApproval()
         {
-            IOProcessApproval paDB = new IOProcessApproval();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
                 DataGridView dgv = dgvApproval;
@@ -863,91 +849,28 @@
                 int ino = 1;
                 int iLineCnt = 0;
                 int BreakCode = 0;
-                foreach (object[] objwrk in arData)
+                
+                // ため込み処理領域初期化
+                ArrayList BufferList = new ArrayList();
+                object[] objfirst = (object[])arData[0];
+                int BreakConstructionCode = CommonMotions.cnvInt(objfirst[(int)ApprovalDataList.ConstructionCode]);
+
+                foreach (object[] objLoopRec in arData)
                 {
-                    // データ取得
-                    int iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ConstructionCode]);       // 工事番号
-                    int iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ApprovalCode]);               // 承認機能番号
-                    DateTime ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.EntryDate]);        // 申請日付
-                    int DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.DepartmentCode]);            // 対象部署取得
-                    string strPerson = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.PersonName]);               // 申請者名取得
-                    DateTime ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.ApprovalLimitDates].ToString());   // 承認希望日
-
-                    string strLimitDate = string.Empty;
-                    if (ApprovalLimitDates != DateTime.MinValue)
+                    if (BreakConstructionCode == CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]))
                     {
-                        strLimitDate = ApprovalLimitDates.ToShortDateString();
+                        BufferList.Add(objLoopRec);
+                        continue;
                     }
 
-                    // 処理月で空行を入れる
-                    if (ino == 1)
-                    {
-                        BreakCode = iApprovalCode;
-                    }
-                    if (BreakCode != iApprovalCode)
-                    {
-                        dgv.Rows.Add(1);
-                        BreakCode = iApprovalCode;
-                    }
+                    // 行表示
+                    DispDocumentApprovalRowProc(ino, BufferList, ref BreakCode);
 
-                    // データセット
-                    int CurRowCnt = dgv.Rows.Add(iConstructionCode,
-                                                    iApprovalCode,
-                                                    ino,
-                                                    CommonMotions.cnvString(objwrk[(int)ApprovalDataList.ConstructionName]),
-                                                    ClsExcute.AppovalList[iApprovalCode],
-                                                    strPerson,
-                                                    ApprovalEntryDate.ToShortDateString(),
-                                                    strLimitDate);
+                    // ブレイクキー更新
+                    BreakConstructionCode = CommonMotions.cnvInt(objLoopRec[(int)ApprovalDataList.ConstructionCode]);
+                    BufferList.Clear();
+                    BufferList.Add(objLoopRec);
 
-                    // 承認種別と種別名に色を付ける
-                    dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
-
-                    // 承認者取得
-                    string strSQL = "SELECT A.APPROVALPERSON, A.DISPLAYORDER, B.PERSONNAME, NVL(D.APPROVALSTATUS, 4)";
-                    strSQL += " FROM APPROVALMASTER A Left Join PROCESSAPPROVAL D";
-                    strSQL += string.Format(" ON D.CONSTRUCTIONCODE = {0} AND D.APPROVALCODE = {1}", iConstructionCode, iApprovalCode);
-                    strSQL += " AND D.SEQNO != 1 And D.PERSONCODE = A.APPROVALPERSON,";
-                    strSQL += " PERSONINCHARGEMASTER B";
-                    strSQL += string.Format(" Where (A.APPROVALCODE = {0} And A.DEPARTMENTCODE = {1})", iApprovalCode, DepartmentCode);
-                    strSQL += " And A.APPROVALPERSON = B.PERSONCODE";
-                    strSQL += " Order By A.DISPLAYORDER Desc";
-                    // SQL実行
-                    ArrayList AuthorizerData = new ArrayList();
-                    if (!paDB.ExecuteReader(strSQL, ref AuthorizerData)) continue;
-
-                    // データセット
-                    for (int i = 0; i < AuthorizerData.Count; i++)
-                    {
-                        // 承認者が列カウントを超えた場合
-                        if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
-                        {
-                            // 列を作成する
-                            DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
-                            // 名前とヘッダーを設定する
-                            NewColumn.Name = string.Format("ApprovalPerson{0}", i);
-                            NewColumn.HeaderText = string.Format("承認者", (i + 1));
-                            // 列の幅
-                            NewColumn.Width = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
-                            // 列のアライメントセット
-                            NewColumn.DefaultCellStyle = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
-
-                            // 列を追加する
-                            dgvApproval.Columns.Add(NewColumn);
-                        }
-
-                        object[] objAuthorizer = (object[])AuthorizerData[i];
-
-                        int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalerList.ApprovalStatus]);
-                        DataGridViewRow CurRowPo = dgvApproval.Rows[CurRowCnt];
-                        DataGridViewCell CurCell = null;
-                        CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
-
-                        CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalerList.PersonName]);
-                        CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
-                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
-
-                    }
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
@@ -955,6 +878,14 @@
                     ProgressDApproval.Update();
                 }
 
+                // 最終行の表示
+                if (BufferList.Count != 0)
+                {
+                    // 行表示
+                    DispDocumentApprovalRowProc(ino, BufferList, ref BreakCode);
+                }
+
+
                 dgv.ResumeLayout();
 
                 // ProgressBarの値を変更する
@@ -979,12 +910,104 @@
             }
             finally
             {
-                picDB.close(); picDB = null;
-                paDB.close(); paDB = null;
             }
         }
         #endregion
+
+        #region 書類承認表示処理
+        /// <summary>
+        /// 書類承認表示処理
+        /// </summary>
+        private void DispDocumentApprovalRowProc(int ino, ArrayList BufferList, ref int BreakCode)
+        {
+            try
+            {
+                DataGridView dgv = dgvApproval;
+
+                // 先頭レコードを取得
+                object[] objwrk = (object[])BufferList[0];
+
+                // データ取得
+                int iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ConstructionCode]);       // 工事番号
+                int iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ApprovalCode]);               // 承認機能番号
+                DateTime ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.EntryDate]);        // 申請日付
+                int DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.DepartmentCode]);            // 対象部署取得
+                string strPerson = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.PersonName]);               // 申請者名取得
+                DateTime ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.ApprovalLimitDates].ToString());   // 承認希望日
+
+                string strLimitDate = string.Empty;
+                if (ApprovalLimitDates != DateTime.MinValue)
+                {
+                    strLimitDate = ApprovalLimitDates.ToShortDateString();
+                }
+
+                // 処理月で空行を入れる
+                if (ino == 1)
+                {
+                    BreakCode = iApprovalCode;
+                }
+                if (BreakCode != iApprovalCode)
+                {
+                    dgv.Rows.Add(1);
+                    BreakCode = iApprovalCode;
+                }
+
+                // データセット
+                int CurRowCnt = dgv.Rows.Add(iConstructionCode,
+                                                iApprovalCode,
+                                                ino,
+                                                CommonMotions.cnvString(objwrk[(int)ApprovalDataList.ConstructionName]),
+                                                ClsExcute.AppovalList[iApprovalCode],
+                                                strPerson,
+                                                ApprovalEntryDate.ToShortDateString(),
+                                                strLimitDate);
+
+                // 承認種別と種別名に色を付ける
+                dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
+
+                // データセット
+                for (int i = 0; i < BufferList.Count; i++)
+                {
+                    // 承認者が列カウントを超えた場合
+                    if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
+                    {
+                        // 列を作成する
+                        DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
+                        // 名前とヘッダーを設定する
+                        NewColumn.Name = string.Format("ApprovalPerson{0}", i);
+                        NewColumn.HeaderText = string.Format("承認者", (i + 1));
+                        // 列の幅
+                        NewColumn.Width = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
+                        // 列のアライメントセット
+                        NewColumn.DefaultCellStyle = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
+
+                        // 列を追加する
+                        dgvApproval.Columns.Add(NewColumn);
+                    }
+
+                    object[] objAuthorizer = (object[])BufferList[i];
+
+                    int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalStatus]);
+                    DataGridViewRow CurRowPo = dgvApproval.Rows[CurRowCnt];
+                    DataGridViewCell CurCell = null;
+                    CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
+
+                    CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalDataList.ApprovalPersonName]);
+                    CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
+                    CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
+
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+            }
+        }
         #endregion
+        #endregion
 
         #region 案件表示データ共通部
         #region 表示用共通部SQL作成
@@ -2565,6 +2588,7 @@
         #endregion
 
         #region 行動予定一覧表示関連
+        #region 行動予定一覧クリア
         /// <summary>
         /// 行動予定一覧クリア
         /// </summary>
@@ -2586,48 +2610,29 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region カレンダーのセット
         /// <summary>
-        /// 行動予定一覧
+        /// カレンダーのセット
         /// </summary>
-        private void DispActionList()
+        private bool DispActionCalender()
         {
-            IOMDepartment dmDB = new IOMDepartment();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOMHolidayCalender hcDB = new IOMHolidayCalender();
-            IOActionScheduleData asdDB = new IOActionScheduleData();
-            dgvActionSchedule.SuspendLayout();
             try
             {
-                int DspRowCnt = 0;
 
-                // 月をセットする
-                DateTime ToDayDate = DateTime.Now;
+                // 最初の日を求める
+                DateTime ColenderStartDate = DateTime.Now.AddDays(-15);
+                DateTime ColenderEndDate = DateTime.Now.AddDays(15);
 
-                // クリアする
-                ClearActionList();
+                // --------------- 会社休日データの表示(会社カレンダーは必ずあることが前提、無ければ休日が出ない)
+                string strCalender = string.Format(" Where TO_DATE('{0}','YYYY/MM/DD') <= Holiday", ColenderStartDate.ToShortDateString());
+                strCalender += string.Format(" And Holiday <= TO_DATE('{0}','YYYY/MM/DD')", ColenderEndDate.ToShortDateString());
+                List<HolidayCalenderMaster> hcList = new List<HolidayCalenderMaster>();
+                if (!hcDB.SelectAction(strCalender, ref hcList)) return false;
+                if (hcList.Count == 0) return false;
 
-                // 横スクロール量設定
-                //dgvActionSchedule.HorizontalScrollingOffset = dgvActionSchedule.Columns[3].Width;
-                // --------------- カレンダーの表示
-                int s_MonthLine = 0;
-                int s_DayLine = 1;
-                int s_WeekLine = 2;
-
-                dgvActionSchedule.Rows.Add();
-                dgvActionSchedule.Rows.Add();
-                dgvActionSchedule.Rows.Add();
-
-                dgvActionSchedule.Rows[s_MonthLine].Frozen = true;
-                dgvActionSchedule.Rows[s_DayLine].Frozen = true;
-                dgvActionSchedule.Rows[s_WeekLine].Frozen = true;
-
-                dgvActionSchedule.Rows[s_MonthLine].Cells[(int)ActionSchduleGridCount.PersonName].Value = "月";
-                dgvActionSchedule.Rows[s_DayLine].Cells[(int)ActionSchduleGridCount.PersonName].Value = "日";
-                dgvActionSchedule.Rows[s_WeekLine].Cells[(int)ActionSchduleGridCount.PersonName].Value = "曜日";
-
-                // 最初の日を求める
-                DateTime ColenderStartDate = ToDayDate.AddDays(-15);
                 // 日付・曜日をセットする
                 int ColCnt = dgvActionSchedule.ColumnCount - (int)ActionSchduleGridCount.Days1;
                 int PrevMonth = 0;
@@ -2634,24 +2639,30 @@
                 for (int ix = 0; ix < ColCnt; ix++)
                 {
                     DateTime dtCurDate = ColenderStartDate.AddDays(ix);
-                    if (dtCurDate.ToShortDateString().Equals(ToDayDate.ToShortDateString()) || (PrevMonth != dtCurDate.Month))
+                    if (dtCurDate.ToShortDateString().Equals(DateTime.Now.ToShortDateString()) || (PrevMonth != dtCurDate.Month))
                     {
                         // 月のセット
-                        dgvActionSchedule.Rows[s_MonthLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = dtCurDate.Month.ToString();
+                        dgvActionSchedule.Rows[s_ActionListMonthLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = dtCurDate.Month.ToString();
                         PrevMonth = dtCurDate.Month;
                     }
                     // 日付セット
-                    dgvActionSchedule.Rows[s_DayLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = dtCurDate.Day.ToString();
+                    dgvActionSchedule.Rows[s_ActionListDayLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = dtCurDate.Day.ToString();
                     // 曜日をセットする
                     DayOfWeek dayofweek = dtCurDate.DayOfWeek;
-                    dgvActionSchedule.Rows[s_WeekLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = s_DayOfTheWeek[(int)dayofweek];
+                    dgvActionSchedule.Rows[s_ActionListWeekLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = s_DayOfTheWeek[(int)dayofweek];
 
-                    // --------------- 会社休日データの表示(会社カレンダーは必ずあることが前提、無ければ休日が出ない)
-                    string strCalender = hcDB.CreatePrimarykeyString(dtCurDate);
-                    //string strCalender = hcDB.CreateSubkeyString(ClsCommon.SystemMasterData.BusinessYear, dtCurDate.Month, dtCurDate.Day);
-                    List<HolidayCalenderMaster> hcList = new List<HolidayCalenderMaster>();
-                    if (!hcDB.SelectAction(strCalender, ref hcList)) continue;
-                    if (hcList.Count == 0) continue;
+                    // 休日を探す
+                    bool ExistDays = false;
+                    foreach (HolidayCalenderMaster Holiday in hcList)
+                    {
+                        if (dtCurDate.Date == Holiday.Holiday.Date)
+                        {
+                            ExistDays = true;
+                            break;
+                        }
+                    }
+                    if (!ExistDays) continue;
+
                     // 土曜日
                     if (dayofweek == DayOfWeek.Saturday)
                     {
